Magick::ChannelMoments Class Reference

`#include <Statistic.h>`

## Public Member Functions

| ChannelMoments (void)
| ChannelMoments (const ChannelMoments &channelMoments_)
| ~ChannelMoments (void)
double | centroidX (void) const
double | centroidY (void) const
PixelChannel | channel (void) const
double | ellipseAxisX (void) const
double | ellipseAxisY (void) const
double | ellipseAngle (void) const
double | ellipseEccentricity (void) const
double | ellipseIntensity (void) const
double | huInvariants (const size_t index_) const
bool | isValid () const
| ChannelMoments (const PixelChannel channel_, const MagickCore::ChannelMoments *channelMoments_)

## Detailed Description

Definition at line 19 of file Statistic.h.

## Constructor & Destructor Documentation

## ChannelMoments() [1/3]

Magick::ChannelMoments::ChannelMoments | ( | void |  | ) |

Definition at line 19 of file Statistic.cpp.

## ChannelMoments() [2/3]

Magick::ChannelMoments::ChannelMoments | ( | const ChannelMoments & | channelMoments_ | ) |

Definition at line 32 of file Statistic.cpp.

## ~ChannelMoments()

Magick::ChannelMoments::~ChannelMoments | ( | void |  | ) |

Definition at line 45 of file Statistic.cpp.

## ChannelMoments() [3/3]

Magick::ChannelMoments::ChannelMoments | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelMoments * | channelMoments_
| ) |  |

Definition at line 102 of file Statistic.cpp.

## Member Function Documentation

## centroidX()

double Magick::ChannelMoments::centroidX | ( | void |  | ) | const

Definition at line 49 of file Statistic.cpp.

## centroidY()

double Magick::ChannelMoments::centroidY | ( | void |  | ) | const

Definition at line 54 of file Statistic.cpp.

## channel()

Magick::PixelChannel Magick::ChannelMoments::channel | ( | void |  | ) | const

Definition at line 59 of file Statistic.cpp.

## ellipseAngle()

double Magick::ChannelMoments::ellipseAngle | ( | void |  | ) | const

Definition at line 74 of file Statistic.cpp.

## ellipseAxisX()

double Magick::ChannelMoments::ellipseAxisX | ( | void |  | ) | const

Definition at line 64 of file Statistic.cpp.

## ellipseAxisY()

double Magick::ChannelMoments::ellipseAxisY | ( | void |  | ) | const

Definition at line 69 of file Statistic.cpp.

## ellipseEccentricity()

double Magick::ChannelMoments::ellipseEccentricity | ( | void |  | ) | const

Definition at line 79 of file Statistic.cpp.

## ellipseIntensity()

double Magick::ChannelMoments::ellipseIntensity | ( | void |  | ) | const

Definition at line 84 of file Statistic.cpp.

## huInvariants()

double Magick::ChannelMoments::huInvariants | ( | const size_t | index_ | ) | const

Definition at line 89 of file Statistic.cpp.

## isValid()

bool Magick::ChannelMoments::isValid | ( | void |  | ) | const

Definition at line 97 of file Statistic.cpp.

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp